Bug 515038 - Kernel General Protection Fault - libgphoto2-2.4.7
Kernel General Protection Fault - libgphoto2-2.4.7
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-31 21:30 EDT by Arnav
Modified: 2010-06-28 09:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:57:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output of libgphoto2-2.4.6.4 kernel oops on FC11 (12.26 KB, text/plain)
2009-07-31 21:30 EDT, Arnav
no flags Details
dmesg output for kernel 2.6.30.5-43.fc11 opps with libgphoto2-2.4.7 (45.50 KB, application/octet-stream)
2009-09-24 17:46 EDT, Arnav
no flags Details
libgphoto2-2.4.7 debug log for FC11 Kernel oops (2.6.30.5-43 ) (670.23 KB, application/octet-stream)
2009-09-24 17:52 EDT, Arnav
no flags Details

  None (edit)
Description Arnav 2009-07-31 21:30:20 EDT
Created attachment 355870 [details]
dmesg output of libgphoto2-2.4.6.4 kernel oops on FC11 

Description of problem:

I am testing a new version of libgphoto2.  It is libgphoto2-2.4.6.4 which will become libgphoto2-2.4.7.  See https://sourceforge.net/tracker/?func=detail&atid=108874&aid=2794538&group_id=8874 for reference. 
After 15 successful remote captures (and 16 in another case) I am getting a kernel general protection fault.  
Please see the attached "fc11_libgphoto2-2.2.4.6.4_kernel_opps" for the dmesg output.

Version-Release number of selected component (if applicable):
kernel:  2.6.29.6-213.fc11.i686.PAE #1 SMP

How reproducible: always

Steps to Reproduce:
1.  Install FC11 and update the system to make sure it is up to date

2.  Install libgphoto2-2.4.6.4:  
http://www.lst.de/~mm/libgphoto2-2.4.6.4.tar.bz2

3.  Install gphoto2 v2.4.5

4.  Set some parameters on the camera to make sure we can talk to it ok:
gphoto2 --set-config capture=on --set-config zoom=60 --set-config iso=0 --set-config owner=dan  --set-config capturetarget=0

5.  Capture an image and download it:
gphoto2 --capture-image-and-download --force-overwrite --filename=image.jpg

6.  Repeat 20 times and observe the kernel general protection fault. 

Actual results: kernel general protection fault

Expected results:  successful remote capture and image download time after time
Comment 1 Chuck Ebbert 2009-08-04 13:42:37 EDT
mm/slub.c:1616:

c04a3019:       8b 50 0c                mov    0xc(%eax),%edx
c04a301c:       8b 14 93                mov    (%ebx,%edx,4),%edx
c04a301f:       89 10                   mov    %edx,(%eax)

1615            object = c->freelist;
1616            c->freelist = object[c->offset];

Looks like USB code is writing past its allocations? Try the kernel-debug package and see if it finds slab corruption.
Comment 2 Arnav 2009-08-06 17:08:03 EDT
I am genuinely confused.  Here is what I have done:

1) I upgraded to the latest 2.6.29.6-217.2.3 Kernel (which happened to be out since the previous post) to see if the issue persists and it does.
After 7 remote capture attempts, the same general protection fault occurs. 

2) As suggested, I then installed kernel-PAEdebug for the latest Kernel.  To my amazement the issue doesn't occur with in the kernel-debug Kernel.

3)  Thinking maybe I am crazy, I switched again to the regular Kernel, tried remote gphoto capture, and the issue occurred right away.

4)  I switched back to Kernel-debug and did over 500 remote captures without the issue occurring (which statistically seems like good sample data in light of the small number of attempts to generate the fault in the regular Kernel).  

This is not what I expected to happen, assuming the only difference in the kernel-debug is extra logging etc'.
I haven't done sufficient kernel debugging to know how common this is.

What gives?  Any suggestions?
Comment 3 Arnav 2009-08-27 19:01:06 EDT
Any suggestions?  Have anyone seen anything like that before?
Can anyone think of a reason why the problem would occur in the regular Kernel but not the debug Kernel?
Comment 4 Arnav 2009-09-24 17:46:47 EDT
Created attachment 362574 [details]
dmesg output for kernel 2.6.30.5-43.fc11 opps with libgphoto2-2.4.7
Comment 5 Arnav 2009-09-24 17:52:01 EDT
Created attachment 362576 [details]
libgphoto2-2.4.7 debug log for FC11 Kernel oops (2.6.30.5-43 )
Comment 6 Arnav 2009-09-24 17:54:30 EDT
Update:

1. I updated to the latest Kernel (2.6.30.5-43) and to the latest version of libgphoto2 (2.4.7) and the issue still persists as described above (Kernel General Protection Fault).

2. I installed the corresponding Debug Kernel (2.6.30.5-43) in the hope of gathering more info but similar to the above the issue doesn't manifest itself in the Debug Kernel!?

Attached please find:

1.  Dmesg output from the regular kernel oops (dmesg_output_kernel_oops_2.6.30.5-43.fc11)

2.  The libgphoto2 debug output (fc11_libgphoto2-2.4.7_kernel_oops.log)
Comment 7 Arnav 2009-09-24 18:08:39 EDT
Changed the title from "libgphoto2-2.4.6.4" to "libgphoto2-2.4.7"
Comment 8 Bug Zapper 2010-04-28 05:30:30 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 09:57:27 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.